@import './typography.scss';
@import './media-sizes.scss';

#section-articles{
    padding: 52px 30px 110px 30px;
    @media(max-width:$tablet){
        padding: 52px 30px 50px 30px;
    }
    .container-articles{
        display: grid;
        grid-template-columns: 25% 25% 25% 25%;
        margin: 0 -15px;
        @media(max-width:$tablet){
            grid-template-columns: 50% 50%;
        }
        @media(max-width:$mobile){
            grid-template-columns: 100%;
        }
        article{
            padding: 0 15px;
            position: relative;
            top: 50px;
            margin-bottom: 30px;
            &:first-child, &:nth-child(2n+3){
                top: 0;
            }
            @media(max-width:$tablet){
                top: 0;
            }
            .wrap-article{
                border-radius: 20px;
                border: solid 1px #555;
                overflow: hidden;
                height: 458px;
                .image{
                    background-position: center;
                    background-size: cover;
                    background-repeat: no-repeat;
                    // height: 215px;
                    width: 100%;
                    &::after{
                        content: '';
                        display: block;
                        padding-top: 63%;
                    }
                }
                .body{
                    padding: 35px 23px;
                    h3{
                        @include font(medium, 25px, #000);
                        line-height: 25px;
                        margin-bottom: 15px;
                        min-height: 50px;
                    }
                    .description{
                        p{
                            @include font(normal, 16px, #000);
                            line-height: 20px;
                        }
                    }
                }
            }
        }
    }
}